.image_container {
    position: relative;
    width: 95%;
    max-width: 500px;
    height: min(70vw , 300px);
    cursor: pointer;
}
img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.image_container::before{
    content: "" ;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: hsl(271, 76%, 53%);
    transform: scale(0);
    transition: all 800ms linear;
    transform-origin: 0 50%;
    z-index: 2;
    opacity: 0.3;
}
.image_container:hover::before{
    transform: scale(1);
}
span{
    position: absolute;
    color: #fff;
    opacity: 0;
    transition: all 800ms linear;
    z-index: 3;
}
.description{    
    font-size: 1rem;
    left: 15%;
    top: 75%;
    width: 75%;
}
.image_container:hover span {
    opacity: 1;
}
.line {
    left: 0;
    top: 0;
    position: absolute;
    transition: all 800ms linear;
    opacity: 0;
    z-index: 3;
}
.top{
    width: 100%;
    height: 5px;
    background-color: #fff;
    top: 50px;
    left :0;
}
.left{
    width: 5px;
    height: 100%;
    background-color: #fff;
    left: 50px;
}